Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIEditor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractEditor
                          org.richfaces.component.UIEditor

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.3.CR1"})
    public class UIEditor

extends AbstractEditor
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:editor> component is used for creating a WYSIWYG editor on a page.

Author:
  Lukas Fryc

Nested Class Summary
`protected static class` | `UIEditor.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIEditor()`

Method Summary
`javax.faces.component.UIComponent` | `getConfig()` Detailed configuration of editor in JSON format
`String` | `getDefaultEventName()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHeight()` The hieght of the editor
`String` | `getLang()` Code describing the language used in the generated markup for this component.
`String` | `getOnblur()` The client-side script method to be called when the editor loses focus
`String` | `getOnchange()` The client-side script method to be called on blur event when editor content has been changed after previous focus
`String` | `getOndirty()` The client-side script method to be called immediately after the editor content has been changed
`String` | `getOnfocus()` The client-side script method to be called when the editor receives focus
`String` | `getOninit()` The client-side script method to be called once the editor is initialized and ready to be handle user interaction
`String` | `getSkin()` Set the skin of the richfaces editor.
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`String` | `getToolbar()` Used to change the configuration of the toolbar's button set.
`String` | `getWidth()` The width of the editor
`boolean` | `isReadonly()` Used to switch the editor into a read-only mode.
`void` | `setConfig(javax.faces.component.UIComponent config)`
`void` | `setHeight(String height)`
`void` | `setLang(String lang)`
`void` | `setOnblur(String onblur)`
`void` | `setOnchange(String onchange)`
`void` | `setOndirty(String ondirty)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOninit(String oninit)`
`void` | `setReadonly(boolean readonly)`
`void` | `setSkin(String skin)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`
`void` | `setToolbar(String toolbar)`
`void` | `setWidth(String width)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIEditor

    public UIEditor()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getConfig

    public javax.faces.component.UIComponent getConfig()

  Description copied from class: `AbstractEditor`
  Detailed configuration of editor in JSON format

  Specified by:
    `getConfig` in class `AbstractEditor`

### setConfig

    public void setConfig(javax.faces.component.UIComponent config)

### getHeight

    public String getHeight()

  Description copied from class: `AbstractEditor`
  The hieght of the editor

  Specified by:
    `getHeight` in class `AbstractEditor`

### setHeight

    public void setHeight(String height)

### getLang

    public String getLang()

  Description copied from class: `AbstractEditor`
  Code describing the language used in the generated markup for this component.

  Specified by:
    `getLang` in class `AbstractEditor`

### setLang

    public void setLang(String lang)

### getOnblur

    public String getOnblur()

  Description copied from class: `AbstractEditor`
  The client-side script method to be called when the editor loses focus

  Specified by:
    `getOnblur` in class `AbstractEditor`

### setOnblur

    public void setOnblur(String onblur)

### getOnchange

    public String getOnchange()

  Description copied from class: `AbstractEditor`
  The client-side script method to be called on blur event when editor content has been changed after previous focus

  Specified by:
    `getOnchange` in class `AbstractEditor`

### setOnchange

    public void setOnchange(String onchange)

### getOndirty

    public String getOndirty()

  Description copied from class: `AbstractEditor`
  The client-side script method to be called immediately after the editor content has been changed

  Specified by:
    `getOndirty` in class `AbstractEditor`

### setOndirty

    public void setOndirty(String ondirty)

### getOnfocus

    public String getOnfocus()

  Description copied from class: `AbstractEditor`
  The client-side script method to be called when the editor receives focus

  Specified by:
    `getOnfocus` in class `AbstractEditor`

### setOnfocus

    public void setOnfocus(String onfocus)

### getOninit

    public String getOninit()

  Description copied from class: `AbstractEditor`
  The client-side script method to be called once the editor is initialized and ready to be handle user interaction

  Specified by:
    `getOninit` in class `AbstractEditor`

### setOninit

    public void setOninit(String oninit)

### isReadonly

    public boolean isReadonly()

  Description copied from class: `AbstractEditor`
  Used to switch the editor into a read-only mode.

  Specified by:
    `isReadonly` in class `AbstractEditor`

### setReadonly

    public void setReadonly(boolean readonly)

### getSkin

    public String getSkin()

  Description copied from class: `AbstractEditor`

  Set the skin of the richfaces editor. Bundled skins include: richfaces, kama, v2, office2003

  Default is richfaces

  Specified by:
    `getSkin` in class `AbstractEditor`

### setSkin

    public void setSkin(String skin)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getToolbar

    public String getToolbar()

  Description copied from class: `AbstractEditor`

  Used to change the configuration of the toolbar's button set. There are two configurations available: basic (default), full (enables all of the features).

  It is also possible to define a custom toolbar using the CKEditor toolbar configuration in a config facet

  Default is basic

  Specified by:
    `getToolbar` in class `AbstractEditor`

### setToolbar

    public void setToolbar(String toolbar)

### getWidth

    public String getWidth()

  Description copied from class: `AbstractEditor`
  The width of the editor

  Specified by:
    `getWidth` in class `AbstractEditor`

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.